function filterInput(data) {
    if (data.parent_id !== undefined) {
        // если родительский отдел не задан, им становится корневой отдел { id: 1 }
        data.parent_id = data.parent_id === '' ? 1 : Number(data.parent_id);
    }

    if (data.head_id !== undefined) {
        data.head_id = data.head_id === '' ? null : Number(data.head_id);
    }

    return data;
}

export default filterInput;
